Package weka.classifiers.trees.j48

# Class Stats

java.lang.Object
weka.classifiers.trees.j48.Stats

All Implemented Interfaces:
  `RevisionHandler`

public class Stats extends Object implements RevisionHandler
Class implementing a statistical routine needed by J48 to compute its error estimate.

Version:
  $Revision: 1.9 $
Author:
  Eibe Frank (eibe@cs.waikato.ac.nz)

## Constructor Summary

Constructors
Constructor
Description
`Stats()`

## Method Summary

Modifier and Type
Method
Description
`static double`
`addErrs(double N, double e, float CF)`
Computes estimated extra error for given total number of instances and error using normal approximation to binomial distribution (and continuity correction).
`String`
`getRevision()`
Returns the revision string.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Stats

public Stats()

## Method Details

### addErrs

public static double addErrs(double N, double e, float CF)
Computes estimated extra error for given total number of instances and error using normal approximation to binomial distribution (and continuity correction).

Parameters:
  `N` - number of instances
  `e` - observed error
  `CF` - confidence value

### getRevision

public String getRevision()
Returns the revision string.

Specified by:
  `getRevision` in interface `RevisionHandler`
Returns:
  the revision